Skip to content
Start here

Get the list of configured registries in the account

containers.registries.list(RegistryListParams**kwargs) -> SyncSinglePage[RegistryListResponse]
GET/accounts/{account_id}/containers/registries

Get the list of configured registries in the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Containers WriteWorkers Containers Read
ParametersExpand Collapse
account_id: str
ReturnsExpand Collapse
class RegistryListResponse: …

An image registry added in a customer account.

created_at: str

UTC timestamp string in ISO 8601 format.

domain: str

A string representation of a domain name. See RFC-1034 (https://www.ietf.org/rfc/rfc1034.txt). Consider that the limit of a domain name is min 3 and max 253 ASCII characters.

kind: Optional[Literal["ECR", "DockerHub", "GAR", "default"]]

The type of registry that is being configured.

One of the following:
"ECR"
"DockerHub"
"GAR"
"default"
public_key: Optional[str]

Public component of the registry credentials. For managed registries this is a base64-encoded public key; for external registries the format depends on the registry provider.

Get the list of configured registries in the account

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.containers.registries.list(
    account_id="account-123",
)
page = page.result[0]
print(page.created_at)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "created_at": "2021-04-01T12:32:41.488Z",
      "domain": "docker.io",
      "kind": "ECR",
      "public_key": "public_key"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "created_at": "2021-04-01T12:32:41.488Z",
      "domain": "docker.io",
      "kind": "ECR",
      "public_key": "public_key"
    }
  ],
  "success": true
}